# FLASH parameters - Am29LV640D
# 8/16 bit mode determined by interface script from "../if" dir

# 1 - Classic parallel NOR Flash
set flash_type 1
set compatible_interfaces { 0 }

# FLASH capacity in 8-bit bytes
set flash_size 2097152

# All sectors are not the same size
set uniform_sector 1

# Page size for "PAGE WRITE" EEPROM operation
# page write physically not supported
# set pagesize 256

# Define sector sizes (in 8-bit bytes) for non-uniform sectors
set sectorsize 32768

# Programming is performed by one byte/word at a time
set programming_by_byte 1

# address offsets (8-bit byte address) for command words
set cmd_offsets {0xAAA 0x555}

# Script for Flash/EEPROM specific CPU setup
set ic_specific_setup nor_flash.tcl
